Download it now!
Bug 61241 - Dialog box for Background style in Style and Formatting pane not correctly displayed
Summary: Dialog box for Background style in Style and Formatting pane not correctly di...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 16:55 UTC by sophie
Modified: 2013-04-03 19:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2013-02-21 16:55:45 UTC
Hi, 
To reproduce :
- open a new presentation
- display the Style and Formatting window
- click on Background style and choose modify 
- select Color in the drop down list in the Fill area
--> no palette is showing to pick a color.
--> the same if you chose another element of the list

Reproduced with :
Version 4.0.0.2 .0.2 (Build ID: 5991f37846fc3763493029c4958b57282c2597e)
Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Version 4.0.1.0+ (Build ID: 00967d738e02155d793830e23e5c33696f3a759)
Version 4.1.0.0.alpha0+ (Build ID: 0a967d4cb4468785ed3d302104642353b93232f)
Version 4.0.1.0+ (Build ID: 0977ba31ee91f2ccaef87883407a3d3700e7551) 
Regards - Sophie
Comment 1 Arnaud Versini 2013-02-21 19:10:20 UTC
Confirmed on Ubuntu with master
Comment 2 Caolán McNamara 2013-02-27 20:56:22 UTC
Grr, it shrank down to the minimal size required to show what's visible. Which isn't what we want in this case for the legacy unconverted case.
Comment 3 Not Assigned 2013-02-27 21:06:31 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc8022431a1684f3cfb1e2f7e4ec923a8e71df94

Resolves: fdo#61241 force area page to size itself for max visible controls



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2013-02-27 21:11:53 UTC
4-0 review as https://gerrit.libreoffice.org/#/c/2450/
Comment 5 Caolán McNamara 2013-02-27 21:15:37 UTC
4-0-1 as https://gerrit.libreoffice.org/2451
Comment 6 Not Assigned 2013-02-28 08:12:18 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6d9c1137d4779e82a6060b4a0c74b589eaf9fbe&h=libreoffice-4-0

Resolves: fdo#61241 force area page to size itself for max visible controls


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-03-04 12:51:07 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b83c2e7ac73cc1e4b3ee954ff5c6cdbda6c41d8e&h=libreoffice-4-0-1

Resolves: fdo#61241 force area page to size itself for max visible controls


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 blubb 2013-03-23 12:08:06 UTC
It has not been fixed in the daily build of today...

I'm able to get a background colour when i choose 'hatching' and select background colour there. It makes me a blue background. After that i'm able to change the background colour with the dropdown menu 'color'.
Comment 9 Caolán McNamara 2013-04-03 14:26:25 UTC
bah, more love required in 4-0 to make it work
Comment 10 Commit Notification 2013-04-03 17:10:39 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b307085bcbf5e17c1d72171c33a5cc1cffd70f38&h=libreoffice-4-0

Resolves: fdo#61241 background style dialog too small


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2013-04-03 19:04:20 UTC
take two